### Method

# Gegl Nodeto_xml_full

#### Declaration [src]

    gchar*
    gegl_node_to_xml_full (
      GeglNode* head,
      GeglNode* tail,
      const gchar* path_root
    )

#### Description [src]

Returns a freshly allocated \0 terminated string containing a XML serialization of a segment of a graph from `head` to `tail` nodes. If `tail` is `NULL` then this behaves just like #gegl_node_to_xml.

#### Parameters

`tail`

  Type: `GeglNode`

  A `GeglNode`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`path_root`

  Type: `const gchar*`

  Filesystem path to construct relative paths from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

XML serialization of a graph segment.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.